void sturmseq(poly P, poly* S)
//Ypologismos Alisidas Sturm tou P
{
     int i,j;
     
     S[0]=P;        //Prwtos oros
     
     S[1].deg=P.deg-1; //Deuteros Oros: h paragwgos tou P
     S[1].coef = (double*)calloc(S[1].deg+1, sizeof(double));
     for (i=1;i<=P.deg;i++) S[1].coef[i-1]=i*P.coef[i];

     for (i=2; i<=P.deg; i++)           //i-ostos oros
     {
         S[i]= modulo(S[i-2], S[i-1]);
         for (j=0; j<=S[i].deg; j++)    //Allagi proshmou stous sintelestes
             S[i].coef[j]=-S[i].coef[j];
     }
     //for (i=0;i<=P.deg;i++){polyprint(S[i]);printf("\n");}
}
