#include "max.c"

void bairst(poly P, double *r,double *s)
//Euresi deuterova8miou paragonta me th me8odo Bairstow
{
     double B[P.deg+1];
     
     int i,k=0, TT=0, n=P.deg;
     double dr,ds,D,C[n+2];
     
     //Arxikes times
     B[n]=P.coef[n];
     B[n+1]=0;
     C[n+1]=0; C[n]=0;
     
     while ( k++ <= MAXITERS && TT<100)
     {
           for (i=n-1;i>=0;i--)         //Ektelesi Sin8etikhs diaireshs
           { 
             B[i] = P.coef[i] + (*r)*B[i+1] + (*s)*B[i+2];
             C[i] = B[i+1]    + (*r)*C[i+1] + (*s)*C[i+2];
           }
           D  = C[0]*C[2] - C[1]*C[1];  //Epilisi 2x2 sisthmatos
           dr = ( B[1]*C[1] - B[0]*C[2] )/D;
           ds = ( B[0] *C[1] - B[1]*C[0] )/D;
           *r=*r+dr; *s=*s+ds;          //Enimerwsi twn r,s
           if ( (dr<=ZERO*max(1,fabs(*r))) && (ds<=ZERO*max(1,fabs(*s))) ) TT+=1;
     }
     for (i=0;i<n-1;i++) P.coef[i]=B[i+2]; //Piliko
}
